Page MenuHomePhabricator

Flow\ReferenceClarifier::getObjectLink: Unknown $objectType: post-summary
Closed, ResolvedPublic

Description

Seen in the logs. Many occurrences per hour.

Details

Related Gerrit Patches:

Event Timeline

SBisson created this task.Nov 22 2016, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 8:29 PM
Krinkle added a subscriber: Krinkle.

Still seen, last 30 days of data contain 1,002 matching log entries matching this description. A recent sample:

reqId: W6DB4grAIFYAAB8gb2EAAAHK
wiki: www.mediawiki.org
mwversion: 1.32.0-wmf.20
url: /wiki/Special:WhatLinksHere/Extension:CollapsibleVector
http_method: GET

> Flow\ReferenceClarifier::getObjectLink: Unknown $objectType: post-summary

channel: Flow
level: INFO

Upon viewing the url in question, I could not find any obvious problem.

Triaging as "Meta" given the severity is not WARNING or higher (it is INFO). If that is incorrect, please adjust the severity.

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 18 2018, 4:29 PM

Not an exception, PHP error, HTTP 50x server response, or high-volume log spam. As such out of scope for #prod-error.

Change 523395 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Flow@master] ReferenceClarifier: Fix "Unknown $objectType: post-summary" errors

https://gerrit.wikimedia.org/r/523395

Change 523395 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] ReferenceClarifier: Fix "Unknown $objectType: post-summary" errors

https://gerrit.wikimedia.org/r/523395

SBisson assigned this task to Catrope.Jul 16 2019, 10:42 AM
SBisson moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.
Etonkovidova closed this task as Resolved.Jul 31 2019, 7:35 PM